ports/155682: [NEW PORT] games/redeclipse
Sender Ghost
lightside at safebox.ru
Fri Mar 18 23:30:12 UTC 2011
>Number: 155682
>Category: ports
>Synopsis: [NEW PORT] games/redeclipse
>Confidential: no
>Severity: non-critical
>Priority: low
>Responsible: freebsd-ports-bugs
>State: open
>Quarter:
>Keywords:
>Date-Required:
>Class: change-request
>Submitter-Id: current-users
>Arrival-Date: Fri Mar 18 23:30:12 UTC 2011
>Closed-Date:
>Last-Modified:
>Originator: Sender Ghost
>Release: FreeBSD 8.1-RELEASE
>Organization:
>Environment:
>Description:
Homepage:
http://www.redeclipse.net
Description:
Red Eclipse is a single-player and multi-player first-person ego-shooter, built as a total conversion of Cube Engine 2, which lends itself toward a balanced gameplay, with a general theme of agility in a variety of environments.
Note:
First public 1.0 version was released on 15 March 2011.
Based on games/sauerbraten port.
The port contains much more license information inside license.txt file. I described only general of them.
>How-To-Repeat:
>Fix:
Use attached diff from /usr/ports/games directory.
Patch attached with submission follows:
diff -ruN redeclipse.orig/Makefile redeclipse/Makefile
--- redeclipse.orig/Makefile 1970-01-01 06:00:00.000000000 +0600
+++ redeclipse/Makefile 2011-03-19 03:11:27.000000000 +0600
@@ -0,0 +1,92 @@
+# New ports collection makefile for: redeclipse
+# Date created: 2011-03-17
+# Whom: Sender Ghost <lightside at safebox.ru>
+#
+
+PORTNAME= redeclipse
+PORTVERSION= 1.0
+PORTREVISION?= 0
+CATEGORIES= games
+MASTER_SITES= SF/${PORTNAME}/${PORTNAME}_${PORTVERSION}
+DISTNAME= ${PORTNAME}_${PORTVERSION}_linux
+
+MAINTAINER= ports at FreeBSD.org
+COMMENT= A single-player and multi-player first-person ego-shooter,\
+built as a total conversion of Cube Engine 2
+
+LICENSE_COMB= multi
+LICENSE= MIT ZLIB
+LICENSE_NAME_ZLIB= zlib license
+LICENSE_FILE_ZLIB= ${WRKSRC}/license.txt
+LICENSE_PERMS_ZLIB= ${_LICENSE_PERMS_DEFAULT}
+LICENSE_GROUPS_ZLIB= FSF GPL OSI
+
+USE_GMAKE= yes
+GNU_CONFIGURE= yes
+USE_BZIP2= yes
+CONFIGURE_ENV= ACLOCAL=true AUTOCONF=true AUTOMAKE=true
+CONFIGURE_WRKSRC= ${WRKSRC}/src/enet
+CONFIGURE_ARGS= --enable-shared=no --enable-static=yes
+BUILD_WRKSRC= ${WRKSRC}/src
+WRKSRC= ${WRKDIR}/${PORTNAME}
+ALL_TARGET= libenet
+MAKE_JOBS_SAFE= yes
+
+PORTDATA= data redeclipse.ico
+PORTDOCS= *
+
+OPTIONS= CLIENT "Build client" on \
+ DEDICATED "Build dedicated server" on
+
+SUB_FILES= redeclipse_client redeclipse_server pkg-message
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITHOUT_CLIENT) && defined(WITHOUT_DEDICATED)
+IGNORE= needs at least one executable (CLIENT or DEDICATED)
+.endif
+
+.if !defined(WITHOUT_CLIENT)
+USE_GL= yes
+USE_SDL= image mixer sdl
+ALL_TARGET+= client
+RE_BIN+= client
+
+DESKTOP_ENTRIES="Red Eclipse" "${COMMENT}" \
+ "${DATADIR}/redeclipse.ico" "${PORTNAME}_client" \
+ "Application;Game;" ${FALSE}
+.endif
+
+.if !defined(WITHOUT_DEDICATED)
+ALL_TARGET+= server
+RE_BIN+= server
+.endif
+
+pre-build:
+ @${REINPLACE_CMD} -e '/^CXXFLAGS/d' \
+ -e 's|sdl-config|$${SDL_CONFIG}|' \
+ -e 's|/usr/X11R6|$${LOCALBASE}|' \
+ ${BUILD_WRKSRC}/Makefile
+ @${MV} ${BUILD_WRKSRC}/redeclipse.ico ${WRKSRC}
+
+do-install:
+.for f in ${RE_BIN}
+ ${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}_${f} ${PREFIX}/bin
+ ${INSTALL_PROGRAM} ${BUILD_WRKSRC}/re${f} ${PREFIX}/libexec/${PORTNAME}_${f}
+.endfor
+.if !defined(NOPORTDATA)
+ ${MKDIR} ${DATADIR}
+ cd ${WRKSRC} && ${COPYTREE_SHARE} "${PORTDATA}" ${DATADIR}
+.endif
+.if !defined(NOPORTDOCS)
+ ${MKDIR} ${DOCSDIR}
+ cd ${BUILD_WRKSRC}/docs && ${COPYTREE_SHARE} . ${DOCSDIR}
+.endif
+
+post-install:
+.for f in ${RE_BIN}
+ @${ECHO_CMD} bin/${PORTNAME}_${f} >> ${TMPPLIST}
+ @${ECHO_CMD} libexec/${PORTNAME}_${f} >> ${TMPPLIST}
+.endfor
+
+.include <bsd.port.post.mk>
diff -ruN redeclipse.orig/distinfo redeclipse/distinfo
--- redeclipse.orig/distinfo 1970-01-01 06:00:00.000000000 +0600
+++ redeclipse/distinfo 2011-03-19 00:10:46.000000000 +0600
@@ -0,0 +1,2 @@
+SHA256 (redeclipse_1.0_linux.tar.bz2) = 19f80ca14c3898ff166c6708885a6afee7aeb7acbc1133fc25a53faf12a0b874
+SIZE (redeclipse_1.0_linux.tar.bz2) = 443072620
diff -ruN redeclipse.orig/files/pkg-message.in redeclipse/files/pkg-message.in
--- redeclipse.orig/files/pkg-message.in 1970-01-01 06:00:00.000000000 +0600
+++ redeclipse/files/pkg-message.in 2011-03-19 02:47:03.000000000 +0600
@@ -0,0 +1,9 @@
+###############################################################################
+
+1) First time, Red Eclipse creates a ~/.redeclipse directory with symlinks.
+2) Config files are in the ~/.redeclipse directory.
+3) If you want to add new bindings into ~/.redeclipse/config.cfg, see
+
+ %%DATADIR%%/data/keymap.cfg.
+
+###############################################################################
diff -ruN redeclipse.orig/files/redeclipse_client.in redeclipse/files/redeclipse_client.in
--- redeclipse.orig/files/redeclipse_client.in 1970-01-01 06:00:00.000000000 +0600
+++ redeclipse/files/redeclipse_client.in 2011-03-19 01:34:52.000000000 +0600
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# The executable needs to be run from its data directory, and needs to store
+# configuration in it. We therefore mirror the data directory hierarchy in
+# ~/.redeclipse, and create symlinks to the data files.
+
+RE_OPTIONS="-r"
+
+if [ -d ~/.redeclipse ]
+then
+ echo "Using existing ~/.redeclipse directory."
+else
+ echo "Creating ~/.redeclipse directory."
+ cd %%DATADIR%% || exit 1
+ find * -type d -exec mkdir -p ~/.redeclipse/{} \;
+ find * -type f -exec ln -s %%DATADIR%%/{} ~/.redeclipse/{} \; 2>/dev/null
+fi
+
+cd ~/.redeclipse || exit 1
+exec %%PREFIX%%/libexec/redeclipse_client ${RE_OPTIONS} "$@"
diff -ruN redeclipse.orig/files/redeclipse_server.in redeclipse/files/redeclipse_server.in
--- redeclipse.orig/files/redeclipse_server.in 1970-01-01 06:00:00.000000000 +0600
+++ redeclipse/files/redeclipse_server.in 2011-03-19 01:40:58.000000000 +0600
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# The executable needs to be run from its data directory, and needs to store
+# configuration in it. We therefore mirror the data directory hierarchy in
+# ~/.redeclipse, and create symlinks to the data files.
+
+RE_OPTIONS=
+
+if [ -d ~/.redeclipse ]
+then
+ echo "Using existing ~/.redeclipse directory."
+else
+ echo "Creating ~/.redeclipse directory."
+ cd %%DATADIR%% || exit 1
+ find * -type d -exec mkdir -p ~/.redeclipse/{} \;
+ find * -type f -exec ln -s %%DATADIR%%/{} ~/.redeclipse/{} \; 2>/dev/null
+fi
+
+cd ~/.redeclipse || exit 1
+exec %%PREFIX%%/libexec/redeclipse_server ${RE_OPTIONS} "$@"
diff -ruN redeclipse.orig/pkg-descr redeclipse/pkg-descr
--- redeclipse.orig/pkg-descr 1970-01-01 06:00:00.000000000 +0600
+++ redeclipse/pkg-descr 2011-03-18 23:44:18.000000000 +0600
@@ -0,0 +1,6 @@
+Red Eclipse is a single-player and multi-player first-person ego-shooter,
+built as a total conversion of Cube Engine 2, which lends itself toward
+a balanced gameplay, with a general theme of agility in a variety of
+environments.
+
+WWW: http://www.redeclipse.net/
>Release-Note:
>Audit-Trail:
>Unformatted:
More information about the freebsd-ports-bugs
mailing list